Hexadecimal (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class Hexadecimal

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.Token
          edu.harvard.hul.ois.jhove.module.pdf.StringValuedToken
              edu.harvard.hul.ois.jhove.module.pdf.Literal
                  edu.harvard.hul.ois.jhove.module.pdf.Hexadecimal

Deprecated.

    public class Hexadecimal

extends Literal

Class for Tokens which represent hexadecimally encoded PDF strings. This class really has no justification as a separate entity. Except for the way they're written, hexadecimal strings aren't different in any way from other strings.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.Literal
`PDFDOCENCODING`

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.StringValuedToken
`_rawBytes, _value`

Constructor Summary
`Hexadecimal()` Deprecated. Creates an instance of a hexadecimal string literal

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.Literal
`appendHex, convertHex, isDate, isPDFACompliant, isPDFDocEncoding, parseDate, processLiteral, setPDFDocEncoding`

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.StringValuedToken
`getRawBytes, getValue, setValue`

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.Token
`isPdfACompliant, isSimpleToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hexadecimal

    public Hexadecimal()

  Deprecated.
  Creates an instance of a hexadecimal string literal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD